 # 1
'''import os,sys,importlib    #Импорт трёх важных вспомогательных модулей(imp - устарел)
os.chdir('C:\\Users\\user\\OneDrive\\Documents\\ZelenkinaKs\\python-labs\\TEMA8')  #Делаем рабочий каталог текущим
os.getcwd()  #Контролируем корректность установки текущего каталога

#Записываем значение "5"
import Mod1
print(type(Mod1))
print(dir(Mod1))
print(Mod1.perm1)

#Записываем значение "3"
import Mod1
importlib.reload(Mod1)
print(Mod1.perm1)

# 2
print(sorted(sys.modules.keys()))
sys.modules.pop('Mod1')
print(sorted(sys.modules.keys()))
exec(open('Mod1.py').read())
exec(open('Mod1.py').read())
exec(open('Mod1.py').read())
print(perm1)

from Mod1 import perm1
print(sorted(sys.modules.keys()))
print(perm1)

from Mod2 import beta
g=beta(2)
print(g)
print(sorted(sys.modules.keys()))
print(alpha())

from Mod2 import alpha as al
print(al())
del al,beta

from Mod2 import *
tt=alpha()
uu=beta(float(tt))

#3
sys.modules.pop('Mod1')
sys.modules.pop('Mod2')
import Mod0

import Mod0Mod0.tt;Mod0.qq;Mod0.Mod1.perm1
'''
import Mod1
print('perm1=',Mod1.perm1)
from Mod2 import alpha as al
tt=al()
print('tt=',tt)
from Mod2 import beta
qq=beta(float(tt))
print('qq=',qq)
print(f't = {al.t}, expi = {beta.expi}')
 